KDE 4.7 PyKDE API Reference

- KDE's Python API

# MarbleRunnerManager Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

## Signals

| reverseGeocodingFinished (Marble.GeoDataCoordinates coordinates, Marble.GeoDataPlacemark placemark)
| routeRetrieved (Marble.GeoDataDocument route)
| searchFinished (QString searchTerm)
| searchResultChanged (QAbstractItemModel model)

## Methods

| findPlacemarks (self, QString searchTerm)
| reverseGeocoding (self, Marble.GeoDataCoordinates coordinates)
| setModel (self, Marble.MarbleModel model)
| setWorkOffline (self, bool offline)

## Signal Documentation

reverseGeocodingFinished | ( | Marble.GeoDataCoordinates | coordinates,
|  | Marble.GeoDataPlacemark | placemark
| ) |  |  |

The reverse geocoding request is finished, the result is stored in the given placemark. This signal is emitted when the first runner found a result, subsequent results are discarded and do not emit further signals. If no result is found, this signal is emitted with an empty (default constructed) placemark.

Signal syntax:
  `QObject.connect(source, SIGNAL("reverseGeocodingFinished(const Marble::GeoDataCoordinates&, const Marble::GeoDataPlacemark&)"), target_slot)`

routeRetrieved | ( | Marble.GeoDataDocument | route
| ) |  |  |

A route was retrieved

Signal syntax:
  `QObject.connect(source, SIGNAL("routeRetrieved(Marble::GeoDataDocument*)"), target_slot)`

searchFinished | ( | QString | searchTerm
| ) |  |  |

The search request for the given search term has finished, i.e. all runners are finished and reported their results via the

See also:
  searchResultChanged signal

Signal syntax:
  `QObject.connect(source, SIGNAL("searchFinished(const QString&)"), target_slot)`

searchResultChanged | ( | QAbstractItemModel | model
| ) |  |  |

Placemarks were added to or removed from the model To do: FIXME: this sounds like a duplication of QAbstractItemModel signals

Signal syntax:
  `QObject.connect(source, SIGNAL("searchResultChanged(QAbstractItemModel*)"), target_slot)`

## Method Documentation

findPlacemarks | ( | self, |
|  | QString | searchTerm
| ) |  |  |

Search for placemarks matching the given search term. Results are returned using the

See also:
  searchResultChanged and the
  See also:
    searchFinished signals

reverseGeocoding | ( | self, |
|  | Marble.GeoDataCoordinates | coordinates
| ) |  |  |

Find the address and other meta information for a given geoposition. The result is returned through the

See also:
  reverseGeocodingFinished signal

setModel | ( | self, |
|  | Marble.MarbleModel | model
| ) |  |  |

Set a pointer to the map instance to be passed to MarbleAbstractRunner instances

setWorkOffline | ( | self, |
|  | bool | offline
| ) |  |  |

Toggle offline mode. In offline mode, runners shall not try to access the network (possibly not returning any results).